> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yabetoopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un transfert

> Récupérez un transfert par son ID pour vérifier son statut et ses détails.

## Endpoint

```bash theme={null}
GET https://pay.sandbox.yabetoopay.com/v1/remittance/{id}   # Sandbox
GET https://pay.api.yabetoopay.com/v1/remittance/{id}       # Production
```

## Authentification

Utilisez votre clé secrète dans l'en-tête `Authorization` :

```bash theme={null}
Authorization: Bearer YOUR_SECRET_KEY
```

## Paramètres de chemin

| Paramètre | Type     | Description              |
| --------- | -------- | ------------------------ |
| `id`      | `string` | L'ID unique du transfert |

## Exemple de requête

<CodeGroup>
  ```bash cURL theme={null}
  curl https://pay.sandbox.yabetoopay.com/v1/remittance/rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ \
    -H "Authorization: Bearer YOUR_SECRET_KEY"
  ```

  ```javascript JavaScript theme={null}
  import Yabetoo from "@yabetoo/sdk-js";

  const yabetoo = new Yabetoo("YOUR_SECRET_KEY");

  const remittance = await yabetoo.remittances.retrieve("rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```

  ```python Python theme={null}
  from yabetoo import Yabetoo

  yabetoo = Yabetoo("YOUR_SECRET_KEY")

  remittance = yabetoo.remittances.retrieve("rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ")
  ```

  ```php PHP theme={null}
  <?php
  require 'vendor/autoload.php';

  use Yabetoo\Yabetoo;

  $yabetoo = new Yabetoo("YOUR_SECRET_KEY");

  $remittance = $yabetoo->remittances->retrieve("rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```

  ```java Java theme={null}
  import com.yabetoo.Yabetoo;
  import com.yabetoo.YabetooConfig;
  import com.yabetoo.model.Remittance;

  YabetooConfig config = new YabetooConfig()
      .setApiKey("YOUR_SECRET_KEY");

  Yabetoo yabetoo = new Yabetoo(config);

  Remittance remittance = yabetoo.remittances().retrieve("rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ");
  ```
</CodeGroup>

## Réponse

### 200 OK

```json theme={null}
{
  "id": "rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ",
  "object": "remittance",
  "amount": 1000,
  "currency": "xaf",
  "status": "succeeded",
  "firstName": "Jean",
  "lastName": "Dupont",
  "operatorName": "mtn",
  "country": "cg",
  "phone": "242066594470",
  "type": 1,
  "shouldExecutedAt": "2025-03-18T09:24:57.555Z",
  "createdAt": "2025-03-17T10:24:57.559+01:00",
  "updatedAt": "2025-03-17T10:24:57.559+01:00"
}
```

### Statuts du transfert

| Statut       | Description                               |
| ------------ | ----------------------------------------- |
| `pending`    | Le transfert est en attente de traitement |
| `processing` | Le transfert est en cours de traitement   |
| `succeeded`  | Le transfert a réussi                     |
| `failed`     | Le transfert a échoué                     |

### 404 Not Found

```json theme={null}
{
  "message": "Remittance not found"
}
```

### 401 Non autorisé

```json theme={null}
{
  "message": "Unauthorized"
}
```
